package cz.frantovo.nekurak.rest;

import cz.frantovo.nekurak.dto.Clanek;
import cz.frantovo.nekurak.xml.ClanekXML;
import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;

@Path("clanek")
public class ClankyREST {

    private static final String MIME_XML = "text/xml";

    /** Vypíšeme seznam všech článků v systému */
    @GET
    @Path("/")
    @Produces("text/plain")
    public String getClanky() {
	return "tady bude seznam";
    }

    /** Získáme konkrétní článek */
    @GET
    @Path("/{id}")
    @Produces(MIME_XML)
    public ClanekXML ziskej(@PathParam("id") int id) {
	Clanek c = new Clanek();
	c.setId(id);
	c.setNadpis("Nadpis článku");
	c.setText("nějaký pěkný text");
	return new ClanekXML(c);
    }

    /**
     * Vložíme nový článek
     * @return ID založeného článku
     */
    @POST
    @Consumes(MIME_XML)
    @Produces("text/plain")
    public int zaloz() {
	return 0;
    }

    /** Aktualizujeme článek */
    @PUT
    @Consumes(MIME_XML)
    @Path("/{id}")
    public void uloz(@PathParam("id") int id) {
    }

    /** Smažeme článek */
    @DELETE
    @Path("/{id}")
    public void smaz(@PathParam("id") int id) {
    }
}
